/****************************************************************************
 *
 * driver/sockopt.h
 */

#ifndef _WIZNET_SOCKOPT_H_
#define _WIZNET_SOCKOPT_H_

/*
 * wiznet socket family.
 */

#define AF_WIZNET AF_BLUETOOTH
#define PF_WIZNET PF_BLUETOOTH


/*
 * wiznet socket options.
 */

#define WIZ_SOPT_TXMSG		1	/* set send frame */
#define WIZ_SOPT_TXBUF		2	/* set send frame */
#define WIZ_SOPT_RXBUF		3	/* get recv frame */
#define WIZ_SOPT_RXLEN		5	/* get rx length */
#define WIZ_SOPT_TXLEN		6	/* get tx length */
#define WIZ_SOPT_INTERRUPT	7	/* set interrupt */
#define WIZ_SOPT_GETCONNECT 8	/* get socket's connection */

struct s_wiznet_sockopt {
	unsigned long len;
	char *data;
};

#endif /* _WIZNET_SOCKOPT_H_ */
